diff -bur WWW.orig/Makefile WWW/Makefile
--- WWW.orig/Makefile	2021-01-16 21:14:05.872625092 +0000
+++ WWW/Makefile	2021-01-16 21:14:05.869291759 +0000
@@ -5,5 +5,5 @@
 #  read the documentation online.
 #
 all :
-	BUILD
+	./BUILD

diff -bur WWW.orig/BUILD WWW/BUILD
--- WWW.orig/BUILD	2021-01-16 21:14:05.872625092 +0000
+++ WWW/BUILD	2021-01-16 21:14:05.869291759 +0000
@@ -21,6 +21,7 @@
 if ($UNAME == "SunOS")	setenv WWW_MACH		sun4
 if ($UNAME == "ULTRIX")	setenv WWW_MACH		decstation
 if ($UNAME == "AIX")    setenv WWW_MACH		rs6000
+if ($UNAME == "Linux")    setenv WWW_MACH	unix	
 
 if ($WWW_MACH == "") then
     echo "Please edit BUILD file to include your machine OS"
diff -bur WWW.orig/Daemon/Implementation/HTDaemon.c WWW/Daemon/Implementation/HTDaemon.c
--- WWW.orig/Daemon/Implementation/HTDaemon.c	2021-01-16 21:14:05.872625092 +0000
+++ WWW/Daemon/Implementation/HTDaemon.c	2021-01-16 21:14:05.869291759 +0000
@@ -46,6 +46,7 @@
 #define DEFAULT_EXPORT		"/Public"
 #endif
 
+#include <time.h>
 #include "HTUtils.h"
 #include "tcp.h"		/* The whole mess of include files */
 #include "HTTCP.h"		/* Some utilities for TCP */
@@ -1014,6 +1015,7 @@
 		    time(&theTime);
 		    gmt = gmtime(&theTime);
 		    log_file_name = malloc(strlen(argv[a]) + 5 + 1);
+            struct tm *tm_now; time_t time_now;	/* The time in GMT broken down */
 		    sprintf(log_file_name,
 		    	argv[a], (gmt->tm_year) %100 , gmt->tm_mon + 1);
 		    serverlog = fopen(log_file_name, "a");
diff -bur WWW.orig/Library/Implementation/HTFile.c WWW/Library/Implementation/HTFile.c
--- WWW.orig/Library/Implementation/HTFile.c	2021-01-16 21:14:05.872625092 +0000
+++ WWW/Library/Implementation/HTFile.c	2021-01-16 21:14:05.869291759 +0000
@@ -17,7 +17,7 @@
 */
 
 #include "HTFile.h"		/* Implemented here */
-
+#include <dirent.h>
 
 #define INFINITY 512		/* file name length @@ FIXME */
 #define MULTI_SUFFIX ".multi"   /* Extension for scanning formats */
@@ -45,11 +45,7 @@
 } HTSuffix;
 
 
-#ifdef USE_DIRENT		/* Set this for Sys V systems */
-#define STRUCT_DIRENT struct dirent
-#else
 #define STRUCT_DIRENT struct direct
-#endif
 
 #include "HTML.h"		/* For directory object building */
 
@@ -781,7 +777,7 @@
 		if (dirbuf->d_ino == 0) continue;
 				/* if the entry is not being used, skip it */
 		
-		if (dirbuf->d_namlen > baselen &&      /* Match? */
+		if (dirbuf->d_reclen > baselen &&      /* Match? */
 		    !strncmp(dirbuf->d_name, base, baselen)) {	
 		    HTFormat rep = HTFileFormat(dirbuf->d_name, &encoding);
 		    float value = HTStackValue(rep, format_out,
diff -bur WWW.orig/Library/Implementation/HTTCP.c WWW/Library/Implementation/HTTCP.c
--- WWW.orig/Library/Implementation/HTTCP.c	2021-01-16 21:14:05.872625092 +0000
+++ WWW/Library/Implementation/HTTCP.c	2021-01-16 21:14:05.869291759 +0000
@@ -54,7 +54,6 @@
 #ifndef NeXT
 #ifndef THINK_C
 extern char *sys_errlist[];		/* see man perror on cernvax */
-extern int sys_nerr;
 #endif  /* think c */
 #endif	/* NeXT */
 #endif  /* vms */
@@ -90,6 +89,13 @@
 	    strerror(errno));
 #define ER_NO_TRANS_DONE
 #endif
+
+
+
+#ifdef unix
+	    strerror(errno));
+#define ER_NO_TRANS_DONE
+#endif
 
 #ifndef ER_NO_TRANS_DONE
 	    errno < sys_nerr ? sys_errlist[errno] : "Unknown error" );
diff -bur WWW.orig/Library/unix/Makefile WWW/Library/unix/Makefile
--- WWW.orig/Library/unix/Makefile	2021-01-16 21:14:05.872625092 +0000
+++ WWW/Library/unix/Makefile	2021-01-16 21:14:05.869291759 +0000
@@ -8,7 +8,7 @@
 ASIS_MACH = hardware/os
 
 
-CFLAGS =  -DDEBUG
+CFLAGS =  -DDEBUG -Dsys_nerr=_sys_nerr -Dsys_errlist=_sys_errlist
 LFLAGS =
 CC = cc
 
diff -bur WWW.orig/LineMode/Implementation/HTBrowse.c WWW/LineMode/Implementation/HTBrowse.c
--- WWW.orig/LineMode/Implementation/HTBrowse.c	2021-01-16 21:14:05.872625092 +0000
+++ WWW/LineMode/Implementation/HTBrowse.c	2021-01-16 21:14:05.869291759 +0000
@@ -66,6 +66,7 @@
 /* ============= */
 
 #include <ctype.h>
+#include <unistd.h>
 #include "HTUtils.h"		    /* WWW general purpose macros */
 
 #include "HTBrowse.h"		 /* Things exported, short names */
